Bug 3413 - repeatable tickbox not sticking 1st time round
Summary: repeatable tickbox not sticking 1st time round
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-10 04:02 UTC by Chris Cormack
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 3413: Checkboxes for new subfields not saving correctly (6.60 KB, patch)
2012-04-09 09:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 3413: Checkboxes for new subfields not saving correctly (7.04 KB, patch)
2012-04-18 09:37 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 3413: Checkboxes for new subfields not saving correctly (7.04 KB, patch)
2012-04-18 09:38 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:10:14 UTC


---- Reported by nicolas.morin@biblibre.com 2009-07-10 16:02:57 ----

While editing a marc framework, I add a new subfield to a given field. I tick the "repeatable" box and save. My subfield is recorded but as not repeatable. 
I go back and edit the subfield I just created, ticking the "repeatable" box again. Save. Then my subfield is recorded as being repeatable.
I.e. : saving a new subfield as repeatable doesn't work, editing an existing subfield to make it repeatable does work.
Tested in Unimarc.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:10 UTC  ---

This bug was previously known as _bug_ 3413 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3413

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was nicolas.morin@biblibre.com.

Comment 1 Owen Leonard 2010-09-14 16:48:57 UTC
Confirmed in MARC21
Comment 2 Katrin Fischer 2012-04-07 17:06:42 UTC
This is still a problem in current master.
Comment 3 Katrin Fischer 2012-04-09 08:13:40 UTC
The 'mandatory' checkbox has the same problem.
Comment 4 Katrin Fischer 2012-04-09 09:48:43 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2012-04-18 09:37:58 UTC Comment hidden (obsolete)
Comment 6 Marc Véron 2012-04-18 09:38:15 UTC
Created attachment 9237 [details] [review]
[SIGNED-OFF] Bug 3413: Checkboxes for new subfields not saving correctly

The bug was in the numbering of the fields and subfields in the form.
The form elements for the 'new subfield' got the same numbered names and ids as
the form elements for the second subfield. (example: repeatable1)
The patch fixes the numbering to continue to the new subfield.

To test:
- Create some new subfields and check all checkbox fields save correctly
  (mandatory, repeatable, is url)
- Check that other subfields' checkboxes are not changed
- Check existing subfields and newly created subfields can be edited

Signed-off-by: mveron <veron@veron.ch>
Comment 7 Jonathan Druart 2012-05-04 12:12:05 UTC
QA Comment: 
Patch clean, remove useless 'for' statement and uppercase on 'url' strings.
Works as expected, marked as Passed QA.
Comment 8 Jared Camins-Esakov 2012-06-14 11:48:42 UTC
This patch will be in 3.6.6.